# Class: ScoresController

## ScoresController()

ScoresController ---------------------------------------------------------------------- This controller contains logic for handling API requests related to the weekly scores and matchups endpoints.

## Constructor

#### new ScoresController()

Source:
  - app/controllers/Scores.controller.js, line 11

### Extends

- Controller

### Methods

#### (async) get_league_standings(req, res, next) → {Promise.<Array.<object>>}

Returns the league standings with calculated stats

##### Parameters:

Name | Type | Description
--- | --- | ---
`req` |  |
`res` |  |
`next` |  |

Source:
  - app/controllers/Scores.controller.js, line 46

##### Returns:

Type
  Promise.<Array.<object>>

#### (async) get_weekly_scores(req, res, next)

Returns the weekly scores

##### Parameters:

Name | Type | Description
--- | --- | ---
`req` |  |
`res` |  |
`next` |  |

Source:
  - app/controllers/Scores.controller.js, line 23

##### Returns:

Promise<void>